Debian Bug report logs - #528205
Convert to multiarch

version graph

Package: libusb; Maintainer for libusb is Aurelien Jarno <aurel32@debian.org>;

Reported by: Goswin von Brederlow <goswin-v-b@web.de>

Date: Mon, 11 May 2009 11:39:02 UTC

Severity: wishlist

Tags: patch

Found in version 0.1.12-13

Fixed in version libusb/2:0.1.12-19

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, goswin-v-b@web.de, Aurelien Jarno <aurel32@debian.org>:
Bug#528205; Package libusb. (Mon, 11 May 2009 11:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Goswin von Brederlow <goswin-v-b@web.de>:
New Bug report received and forwarded. Copy sent to goswin-v-b@web.de, Aurelien Jarno <aurel32@debian.org>. (Mon, 11 May 2009 11:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Goswin von Brederlow <goswin-v-b@web.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Convert to multiarch
Date: Mon, 11 May 2009 13:35:42 +0200
[Message part 1 (text/plain, inline)]
Package: libusb
Version: 0.1.12-13
Severity: wishlist
Tags: patch

Hi,

the attached patch converts libusb to multiarch format.

MfG
	Goswin

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (400, 'unstable-i386')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-xen-1 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash
[libusb-multiarch.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Aurelien Jarno <aurel32@debian.org>:
Bug#528205; Package libusb. (Mon, 11 May 2009 21:36:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to Aurelien Jarno <aurel32@debian.org>. (Mon, 11 May 2009 21:36:07 GMT) Full text and rfc822 format available.

Message #10 received at 528205@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 528205@bugs.debian.org, 528140@bugs.debian.org, 528143@bugs.debian.org, 528194@bugs.debian.org, 528198@bugs.debian.org, 528141@bugs.debian.org
Cc: Goswin von Brederlow <goswin-v-b@web.de>
Subject: Bug reports with patches for multiarch support
Date: Mon, 11 May 2009 23:34:55 +0200
Hi!

There's not yet a multiarch spec, and dpkg does not support multiarch
in any form. We are working on it. The multiarch paths are something
to be considered pretty stable, but not the new control field. Also
some of the patches do not seem right, as they change upstream files
to use DEB_*_GNU_TYPE directly.

So, maintainers, please do not apply any of these patches yet, at least
until we have some form of draft of the spec, or better yet until dpkg
does actually support multiarch.

thanks,
guillem




Information forwarded to debian-bugs-dist@lists.debian.org, Aurelien Jarno <aurel32@debian.org>:
Bug#528205; Package libusb. (Tue, 12 May 2009 03:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Goswin von Brederlow <goswin-v-b@web.de>:
Extra info received and forwarded to list. Copy sent to Aurelien Jarno <aurel32@debian.org>. (Tue, 12 May 2009 03:03:08 GMT) Full text and rfc822 format available.

Message #15 received at 528205@bugs.debian.org (full text, mbox):

From: Goswin von Brederlow <goswin-v-b@web.de>
To: Guillem Jover <guillem@debian.org>
Cc: 528205@bugs.debian.org, 528140@bugs.debian.org, 528143@bugs.debian.org, 528194@bugs.debian.org, 528198@bugs.debian.org, 528141@bugs.debian.org
Subject: Re: Bug reports with patches for multiarch support
Date: Tue, 12 May 2009 04:57:00 +0200
Guillem Jover <guillem@debian.org> writes:

> Hi!
>
> There's not yet a multiarch spec, and dpkg does not support multiarch
> in any form. We are working on it. The multiarch paths are something
> to be considered pretty stable, but not the new control field. Also
> some of the patches do not seem right, as they change upstream files
> to use DEB_*_GNU_TYPE directly.
>
> So, maintainers, please do not apply any of these patches yet, at least
> until we have some form of draft of the spec, or better yet until dpkg
> does actually support multiarch.
>
> thanks,
> guillem

Taking this to debian-dpkg for another round of discussion that will
not change anything on the 5 year old multirach proposal. The
multiarch proposal has not changed in the last 5 years going through 3
debconf talks and test implementations.

The design is such that multiarch packages remain 100% compatible to
even oldstable. If anything breaks that is a bug in the patch then and
needs to be rectified. So please do already test the patches even if
you don't want to upload them yet.

MfG
        Goswin




Added blocking bug(s) of 528205: 629648 Request was from Aurelien Jarno <aurel32@debian.org> to control@bugs.debian.org. (Wed, 15 Jun 2011 21:09:04 GMT) Full text and rfc822 format available.

Removed tag(s) patch. Request was from Aurelien Jarno <aurel32@debian.org> to control@bugs.debian.org. (Tue, 19 Jul 2011 17:06:04 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 528205: 621271 Request was from Aurelien Jarno <aurel32@debian.org> to control@bugs.debian.org. (Tue, 19 Jul 2011 17:06:06 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 528205: 622411 Request was from Aurelien Jarno <aurel32@debian.org> to control@bugs.debian.org. (Tue, 19 Jul 2011 17:12:11 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 528205: 622459 Request was from Aurelien Jarno <aurel32@debian.org> to control@bugs.debian.org. (Tue, 19 Jul 2011 17:12:14 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 528205: 633283 Request was from Aurelien Jarno <aurel32@debian.org> to control@bugs.debian.org. (Tue, 19 Jul 2011 17:12:16 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 528205: 633193 Request was from Aurelien Jarno <aurel32@debian.org> to control@bugs.debian.org. (Tue, 19 Jul 2011 17:12:19 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Aurelien Jarno <aurel32@debian.org>:
Bug#528205; Package libusb. (Tue, 16 Aug 2011 13:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Aurelien Jarno <aurel32@debian.org>. (Tue, 16 Aug 2011 13:03:07 GMT) Full text and rfc822 format available.

Message #34 received at 528205@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: 528205@bugs.debian.org
Cc: control@bugs.debian.org
Subject: convert libusb to multiarch
Date: Tue, 16 Aug 2011 16:00:28 +0300
[Message part 1 (text/plain, inline)]
user debian-dpkg@lists.debian.org
usertag 528205 + multiarch
tags 528205 + patch
thanks

Attached parch that uses the actual multiarch spec fields.

The bug has been marked blocking due to waiting for libopensync-plugin-palm
and libopensync-plugin-gnokii to clean their .la files. However, these .la 
files are not used by any other package in the archive. Both packages are
also uninstallable and thus also RC-buggy. Other reverse dependencies with 
.la issues have already been fixed.

Riku


[libusb-multiarch.patch (text/x-diff, attachment)]

Added tag(s) patch. Request was from Riku Voipio <riku.voipio@iki.fi> to control@bugs.debian.org. (Tue, 16 Aug 2011 13:03:21 GMT) Full text and rfc822 format available.

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Tue, 16 Aug 2011 20:51:10 GMT) Full text and rfc822 format available.

Notification sent to Goswin von Brederlow <goswin-v-b@web.de>:
Bug acknowledged by developer. (Tue, 16 Aug 2011 20:51:10 GMT) Full text and rfc822 format available.

Message #41 received at 528205-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 528205-close@bugs.debian.org
Subject: Bug#528205: fixed in libusb 2:0.1.12-19
Date: Tue, 16 Aug 2011 20:50:14 +0000
Source: libusb
Source-Version: 2:0.1.12-19

We believe that the bug you reported is fixed in the latest version of
libusb, which is due to be installed in the Debian FTP archive:

libusb++-0.1-4c2_0.1.12-19_amd64.deb
  to main/libu/libusb/libusb++-0.1-4c2_0.1.12-19_amd64.deb
libusb++-dev_0.1.12-19_amd64.deb
  to main/libu/libusb/libusb++-dev_0.1.12-19_amd64.deb
libusb-0.1-4_0.1.12-19_amd64.deb
  to main/libu/libusb/libusb-0.1-4_0.1.12-19_amd64.deb
libusb-0.1-udeb_0.1.12-19_amd64.udeb
  to main/libu/libusb/libusb-0.1-udeb_0.1.12-19_amd64.udeb
libusb-dev_0.1.12-19_amd64.deb
  to main/libu/libusb/libusb-dev_0.1.12-19_amd64.deb
libusb_0.1.12-19.debian.tar.gz
  to main/libu/libusb/libusb_0.1.12-19.debian.tar.gz
libusb_0.1.12-19.dsc
  to main/libu/libusb/libusb_0.1.12-19.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 528205@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated libusb package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 19 Jul 2011 18:14:12 +0200
Source: libusb
Binary: libusb-0.1-4 libusb-dev libusb++-0.1-4c2 libusb++-dev libusb-0.1-udeb
Architecture: source amd64
Version: 2:0.1.12-19
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 libusb++-0.1-4c2 - userspace C++ USB programming library
 libusb++-dev - userspace C++ USB programming library development files
 libusb-0.1-4 - userspace USB programming library
 libusb-0.1-udeb - userspace USB programming library (udeb)
 libusb-dev - userspace USB programming library development files
Closes: 528205
Changes: 
 libusb (2:0.1.12-19) unstable; urgency=low
 .
   * Change package format to 3.0 (quilt).
     - Drop build-depends on quilt.
     - Remove patch and unpatch rules.
   * Convert to multiarch (closes: bug#528205):
     - Drop cross-compilation support, the multiarch directory should be
       use instead.
     - Bump debhelper build-dep to >= 8.1.3 for multiarch.
     - Add Pre-Depends: ${misc:Pre-Depends} to libusb-0.1-4 and
       libusb++-0.1-4, set them Multi-Arch: same.
     - Install the libraries in the multiarch path.
     - Drop the .la files.
Checksums-Sha1: 
 7efba037e3f01284dbe4007f9684e51348bf3320 1095 libusb_0.1.12-19.dsc
 94aa3a64d1abce312095dde0415726af6dfaaee5 256169 libusb_0.1.12-19.debian.tar.gz
 7bf80c0511cbc579d62904f5d9dd990795a159a9 22342 libusb-0.1-4_0.1.12-19_amd64.deb
 316e0c5baf089a70f58a3b805267e83d36967e6f 40034 libusb-dev_0.1.12-19_amd64.deb
 25bd2c53dbaa8e8f8aa6d3342026cf429b2e7fec 16864 libusb++-0.1-4c2_0.1.12-19_amd64.deb
 4ab2800501dcd2c91be6e540899a3f689b3466b1 20612 libusb++-dev_0.1.12-19_amd64.deb
 412705b0de221439a08f37e311f9d1db1f799b79 12470 libusb-0.1-udeb_0.1.12-19_amd64.udeb
Checksums-Sha256: 
 f29dadf3305aad98093f2abd702a6075861a9ba306dd819893d4d3d14d950452 1095 libusb_0.1.12-19.dsc
 584e58f46edea8d5e0d1dad76b3a8227e2052b68afbb708ed599826dcd617326 256169 libusb_0.1.12-19.debian.tar.gz
 cdb7e0b9aeffbdc876313d15a97714da57a5969362bb016a446356fe636f6184 22342 libusb-0.1-4_0.1.12-19_amd64.deb
 3760dcb23194c2ffbd98288360202e2300cbf169754f34d1cfd2c8bb042e4a1d 40034 libusb-dev_0.1.12-19_amd64.deb
 e480fb04fc00ced20d52076b8e2b2c853b342f38c42fe2c2e5ea4e6a8309ca9b 16864 libusb++-0.1-4c2_0.1.12-19_amd64.deb
 0b1d830b6ba2cb978df93c1d2e884d5308b456dfcf1a6f01543a66a7d51563f9 20612 libusb++-dev_0.1.12-19_amd64.deb
 5db1bbe2f1b82a20561322c5c2614a3bf40e27cba2e1df922dd4d3708bccaf33 12470 libusb-0.1-udeb_0.1.12-19_amd64.udeb
Files: 
 feeb7aecc1cb04d6b1e08a301ef045bd 1095 libs optional libusb_0.1.12-19.dsc
 a5850670e33cf4bc87f5eb92f52c8100 256169 libs optional libusb_0.1.12-19.debian.tar.gz
 662b83b24e1e0f2b3b5310a10b19d5df 22342 libs important libusb-0.1-4_0.1.12-19_amd64.deb
 4b8ffe3039aa47e0fd0b431581b15dd9 40034 libdevel optional libusb-dev_0.1.12-19_amd64.deb
 3cf45407994bdef8f3f1b856fe00e6af 16864 libs optional libusb++-0.1-4c2_0.1.12-19_amd64.deb
 d00fb4e28f359612783d6e6bc4e6003a 20612 libdevel optional libusb++-dev_0.1.12-19_amd64.deb
 4aa829976732cc0c6ca353459caa1be9 12470 debian-installer optional libusb-0.1-udeb_0.1.12-19_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFOSsr4w3ao2vG823MRAsbcAJ9GaeimCbjySpAl8U++2jFsDusDBACdEOSS
TOUcm2EUOP4vQiCG9iYo6eQ=
=qsO4
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 24 Sep 2011 07:32:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:44:37 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.